Commit 9c5cd3c3 authored by Timo Teräs's avatar Timo Teräs

main/parted: fix musl build

parent 8b1a5deb
# Maintainer: Natanael Copa <ncopa@alpinelinux.org> # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=parted pkgname=parted
pkgver=3.1 pkgver=3.1
pkgrel=0 pkgrel=1
pkgdesc="Utility to create, destroy, resize, check and copy partitions" pkgdesc="Utility to create, destroy, resize, check and copy partitions"
url="http://www.gnu.org/software/parted/parted.html" url="http://www.gnu.org/software/parted/parted.html"
arch="all" arch="all"
...@@ -9,9 +9,21 @@ license="GPL3" ...@@ -9,9 +9,21 @@ license="GPL3"
subpackages="$pkgname-dev $pkgname-doc" subpackages="$pkgname-dev $pkgname-doc"
depends= depends=
makedepends="pkgconfig e2fsprogs-dev readline-dev ncurses-dev lvm2-dev bash" makedepends="pkgconfig e2fsprogs-dev readline-dev ncurses-dev lvm2-dev bash"
source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.xz" source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.xz
fix-includes.patch"
_builddir="$srcdir"/$pkgname-$pkgver _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
update_config_sub || return 1
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
}
build() { build() {
cd "$_builddir" cd "$_builddir"
./configure \ ./configure \
...@@ -20,7 +32,6 @@ build() { ...@@ -20,7 +32,6 @@ build() {
--prefix=/usr \ --prefix=/usr \
--disable-debug \ --disable-debug \
--disable-nls \ --disable-nls \
--disable-Werror \
|| return 1 || return 1
make || return 1 make || return 1
} }
...@@ -29,5 +40,13 @@ package() { ...@@ -29,5 +40,13 @@ package() {
cd "$_builddir" cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1 make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/*.la || return 1 rm "$pkgdir"/usr/lib/*.la || return 1
rm -rf "$pkgdir"/usr/lib/charset.alias
rmdir -p "$pkgdir"/usr/lib 2>/dev/null
return 0
} }
md5sums="5d89d64d94bcfefa9ce8f59f4b81bdcb parted-3.1.tar.xz" md5sums="5d89d64d94bcfefa9ce8f59f4b81bdcb parted-3.1.tar.xz
e87ffa1171acbebfa9d2475a093e7e64 fix-includes.patch"
sha256sums="5e9cc1f91eaf016e5033d85b9b893fd6d3ffaca532a48de1082df9b94225ca15 parted-3.1.tar.xz
f87c9290e861b969f4520a1af84ebf4b8f5f1437c1d78ee235d5ffcda3bffe84 fix-includes.patch"
sha512sums="f29a67a16cf79f08abbfc5eeb6ad0480d834aa50e715378626dc89e3b12ce71f19202e9f38429e5521ebe877c4e74ff1e08f0b0ecbdbe79ba1c51fdcbef6e852 parted-3.1.tar.xz
55ee63c218d1867c0f2c596e7c3eec5c42af160181456cc551fe3d432eabed0ac2dd3a3955ff0c375f76aeec8071e7f55a32834b87a0d39b8ef30361f671bfdd fix-includes.patch"
--- parted-3.1.orig/libparted/fs/xfs/platform_defs.h
+++ parted-3.1/libparted/fs/xfs/platform_defs.h
@@ -35,6 +35,7 @@
#define __XFS_PLATFORM_DEFS_H__
#include <stdio.h>
+#include <fcntl.h>
#include <stdarg.h>
#include <assert.h>
#include <endian.h>
--- a/configure 2004-12-07 21:34:23.205172545 +0000
+++ b/configure 2004-12-07 21:37:17.726654782 +0000
@@ -5148,10 +5148,8 @@
:
else
{ { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&5
-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
+See \`config.log' for more details." >&5;}
+ { echo "C++ sucks, ignoring ..." >&5; }; }
fi
ac_ext=cc
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment